GDBserver

Macros | Functions | Variables
linux-ia64-low.c File Reference
`#include "server.h"`
`#include "linux-low.h"`
`#include <asm/ptrace_offsets.h>`

Go to the source code of this file.

## Macros
#define | ia64_num_regs 462
#define | IA64_GR0_REGNUM 0
#define | IA64_FR0_REGNUM 128
#define | IA64_FR1_REGNUM 129

## Functions
void | init_registers_ia64 (void)
static int | ia64_cannot_store_register (int regno)
static int | ia64_cannot_fetch_register (int regno)
static int | ia64_fetch_register (struct regcache *regcache, int regnum)
static const struct regs_info * | ia64_regs_info (void)
static void | ia64_arch_setup (void)
void | initialize_low_arch (void)

## Variables
const struct target_desc * | tdesc_ia64
static int | ia64_regmap []
static struct usrregs_info | ia64_usrregs_info
static struct regs_info | regs_info
struct linux_target_ops | the_low_target

## Macro Definition Documentation

## ◆ IA64_FR0_REGNUM

#define IA64_FR0_REGNUM 128

Definition at line 283 of file linux-ia64-low.c.

Referenced by ia64_fetch_register().

## ◆ IA64_FR1_REGNUM

#define IA64_FR1_REGNUM 129

Definition at line 284 of file linux-ia64-low.c.

Referenced by ia64_fetch_register().

## ◆ IA64_GR0_REGNUM

#define IA64_GR0_REGNUM 0

Definition at line 282 of file linux-ia64-low.c.

Referenced by ia64_fetch_register().

## ◆ ia64_num_regs

#define ia64_num_regs 462

Definition at line 30 of file linux-ia64-low.c.

## Function Documentation

## ◆ ia64_arch_setup()

static void ia64_arch_setup | ( | void |  | ) |
| static

Definition at line 342 of file linux-ia64-low.c.

References current_process(), process_info::tdesc, and tdesc_ia64.

## ◆ ia64_cannot_fetch_register()

static int ia64_cannot_fetch_register | ( | int | regno | ) |
| static

Definition at line 276 of file linux-ia64-low.c.

## ◆ ia64_cannot_store_register()

static int ia64_cannot_store_register | ( | int | regno | ) |
| static

Definition at line 270 of file linux-ia64-low.c.

## ◆ ia64_fetch_register()

static int ia64_fetch_register | ( | struct regcache * | regcache,
|  | int | regnum
| ) |  |
| static

Definition at line 287 of file linux-ia64-low.c.

References gdb_assert, IA64_FR0_REGNUM, IA64_FR1_REGNUM, IA64_GR0_REGNUM, register_size(), supply_register(), and regcache::tdesc.

## ◆ ia64_regs_info()

static const struct regs_info* ia64_regs_info | ( | void |  | ) |
| static

Definition at line 336 of file linux-ia64-low.c.

References regs_info.

## ◆ init_registers_ia64()

void init_registers_ia64 | ( | void |  | ) |

Referenced by initialize_low_arch().

## ◆ initialize_low_arch()

void initialize_low_arch | ( | void |  | ) |

Definition at line 357 of file linux-ia64-low.c.

References init_registers_ia64().

## Variable Documentation

## ◆ ia64_regmap

int ia64_regmap[]
| static

Definition at line 34 of file linux-ia64-low.c.

## ◆ ia64_usrregs_info

struct usrregs_info ia64_usrregs_info
| static

Initial value:
=
{
ia64_num_regs,
ia64_regmap,
}
ia64_regmap
static int ia64_regmap[]
Definition: linux-ia64-low.c:34
ia64_num_regs
#define ia64_num_regs
Definition: linux-ia64-low.c:30

Definition at line 323 of file linux-ia64-low.c.

## ◆ regs_info

struct regs_info regs_info
| static

Initial value:
=
{
NULL,
&ia64_usrregs_info
}
ia64_usrregs_info
static struct usrregs_info ia64_usrregs_info
Definition: linux-ia64-low.c:323

Definition at line 329 of file linux-ia64-low.c.

Referenced by ia64_regs_info().

## ◆ tdesc_ia64

const struct target_desc* tdesc_ia64

Referenced by ia64_arch_setup().

## ◆ the_low_target

struct linux_target_ops the_low_target

Initial value:
= {
ia64_arch_setup,
ia64_regs_info,
ia64_cannot_fetch_register,
ia64_cannot_store_register,
ia64_fetch_register,
}
ia64_cannot_store_register
static int ia64_cannot_store_register(int regno)
Definition: linux-ia64-low.c:270
ia64_cannot_fetch_register
static int ia64_cannot_fetch_register(int regno)
Definition: linux-ia64-low.c:276
ia64_arch_setup
static void ia64_arch_setup(void)
Definition: linux-ia64-low.c:342
ia64_regs_info
static const struct regs_info * ia64_regs_info(void)
Definition: linux-ia64-low.c:336
ia64_fetch_register
static int ia64_fetch_register(struct regcache *regcache, int regnum)
Definition: linux-ia64-low.c:287

Definition at line 348 of file linux-ia64-low.c.